# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.2.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-panel@1.2.1...@billogram/foundation-panel@1.2.2) (2021-03-08)

**Note:** Version bump only for package @billogram/foundation-panel



## [1.2.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-panel@1.2.0...@billogram/foundation-panel@1.2.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-panel@1.1.1...@billogram/foundation-panel@1.2.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-panel ([8733e930](https://github.com/billogram/frontend-foundation/commit/8733e930))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-panel@1.1.0...@billogram/foundation-panel@1.1.1) (2020-06-05)

### Bug Fixes

* Remove ellipsis from title ([9db6082d](https://github.com/billogram/frontend-foundation/commit/9db6082d))
* Add margin between sibling sections ([80411862](https://github.com/billogram/frontend-foundation/commit/80411862))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-panel@1.1.0) (2020-02-26)

### Bug Fixes

* Fix margins for all use cases ([f3462cc3](https://github.com/billogram/frontend-foundation/commit/f3462cc3))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Make it possible to have custom edit button text ([d0a5b2ab](https://github.com/billogram/frontend-foundation/commit/d0a5b2ab))
* Implement FoundationSectionPanel ([66f1032d](https://github.com/billogram/frontend-foundation/commit/66f1032d))
* Move FoundationTogglePanel ([26eb20cf](https://github.com/billogram/frontend-foundation/commit/26eb20cf))
* Add light-blue, light-green, and light-red panels ([c1ad1dff](https://github.com/billogram/frontend-foundation/commit/c1ad1dff))
* Support anchor tags ([c9e6ff31](https://github.com/billogram/frontend-foundation/commit/c9e6ff31))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak value for panel gray ([6a784727](https://github.com/billogram/frontend-foundation/commit/6a784727))
* Implement FoundationPanel ([399f58c7](https://github.com/billogram/frontend-foundation/commit/399f58c7))
* Scaffold out @billogram/foundation-panel ([26db8b56](https://github.com/billogram/frontend-foundation/commit/26db8b56))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-panel@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Add light-blue, light-green, and light-red panels ([c1ad1dff](https://github.com/billogram/frontend-foundation/commit/c1ad1dff))
* Support anchor tags ([c9e6ff31](https://github.com/billogram/frontend-foundation/commit/c9e6ff31))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak value for panel gray ([6a784727](https://github.com/billogram/frontend-foundation/commit/6a784727))
* Implement FoundationPanel ([399f58c7](https://github.com/billogram/frontend-foundation/commit/399f58c7))
* Scaffold out @billogram/foundation-panel ([26db8b56](https://github.com/billogram/frontend-foundation/commit/26db8b56))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
