import type React from 'react';
export declare type FoundationPanelRounded = 'all' | 'bottom' | 'left' | 'right' | 'none' | 'top';
export declare type FoundationPanelUI = 'blue' | 'light-blue' | 'gray' | 'green' | 'light-green' | 'red' | 'light-red' | 'yellow';
export interface FoundationPanelProps {
    children?: React.ReactNode;
    rounded?: FoundationPanelRounded;
    ui?: FoundationPanelUI;
}
export declare type FoundationSectionPanelChildrenFunc = (context: FoundationTogglePanelContextType) => React.ReactNode;
export interface FoundationSectionPanelProps {
    canEdit?: boolean;
    canToggle?: boolean;
    children?: React.ReactNode | FoundationSectionPanelChildrenFunc;
    description?: React.ReactNode;
    editButtonText?: React.ReactNode;
    title?: React.ReactNode;
}
export interface FoundationTogglePanelContextType {
    close: () => void;
    isEditing: boolean;
    open: () => void;
}
export interface FoundationTogglePanelProps {
    canEdit?: boolean;
    children?: FoundationSectionPanelChildrenFunc;
    description?: React.ReactNode;
    editButtonText?: React.ReactNode;
    title?: React.ReactNode;
}
