import React from 'react';
import purebem from 'purebem';
import './FoundationPanel.scss';
export default function FoundationPanel(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$rounded = _ref.rounded,
      rounded = _ref$rounded === void 0 ? 'all' : _ref$rounded,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'gray' : _ref$ui;
  var block = purebem('foundation-panel');
  return /*#__PURE__*/React.createElement("div", {
    className: block({
      rounded: rounded,
      ui: ui
    })
  }, children);
}
//# sourceMappingURL=FoundationPanel.js.map